import { BuildArgs } from "../index";
export interface Params {
    [param: string]: string | string[];
}
export declare type StaticPath<P extends Params = Params> = string | {
    params: P;
    meta?: any;
};
export interface StaticPropsContext<P extends Params = Params> {
    path: string;
    params: P;
    meta?: any;
}
export declare function build(args: BuildArgs): Promise<void>;
